Bug 75830 - Writer lacks the possibility for choosing individual colors.
Summary: Writer lacks the possibility for choosing individual colors.
Status: RESOLVED DUPLICATE of bug 58334
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
4.2.1.1 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-06 09:57 UTC by a07cd040897db54e103c
Modified: 2014-03-08 22:36 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
A screenshot of the format dialog. (18.27 KB, image/png)
2014-03-06 09:57 UTC, a07cd040897db54e103c
Details
A screenshot of the toolbar icon "font color". (21.16 KB, image/png)
2014-03-06 09:58 UTC, a07cd040897db54e103c
Details
A screenshot of the fictional format dialog with additional pseudo color "User Defined". (18.79 KB, image/png)
2014-03-08 19:09 UTC, a07cd040897db54e103c
Details
A screenshot of the fictional popup dialog that could be opened by selecting "User Defined". (10.43 KB, image/png)
2014-03-08 19:10 UTC, a07cd040897db54e103c
Details
A screenshot of the real format area dialog. (35.06 KB, image/png)
2014-03-08 19:11 UTC, a07cd040897db54e103c
Details

Note You need to log in before you can comment on or make changes to this bug.
Description a07cd040897db54e103c 2014-03-06 09:57:58 UTC
Created attachment 95218 [details]
A screenshot of the format dialog.

When formatting colors you are restricted to about 140 pre-defined colors (see screenshots). You can *not* select userdefined values for (RGB, CYMK, etc.)

This is a problem if you want to fit documents into Corporate Design.

This is not only a problem in font color but also in background color, border color etc.
Comment 1 a07cd040897db54e103c 2014-03-06 09:58:58 UTC
Created attachment 95220 [details]
A screenshot of the toolbar icon "font color".
Comment 2 Joel Madero 2014-03-07 00:51:18 UTC
We actually do have this ability :)

http://ask.libreoffice.org/en/question/8480/can-i-add-custom-colors-to-optionsappearance/
Comment 3 Joel Madero 2014-03-07 00:52:02 UTC
Also: https://help.libreoffice.org/Draw/Defining_Custom_Colors

Although I find those to be a bit confusing - you can also load colors (not sure how you'll have to ping the ask site or the user list)
Comment 4 a07cd040897db54e103c 2014-03-07 07:13:00 UTC
OK. Didn't know that. That helps me out of the biggest troubles.

Nevertheless, i feel, application wide predefining fixed colors, and then being restricted to those during your work is non-intuitive and not userfriendly. There should be a possibility *in* *every* *certain* *usecase* (dealing with colors) to individually choose a custom color.

I think, adding a pseudo color named "UserDefined", that (if selected) opens a dialog for entering RGB or YMCK (or choosing from color wheel) could achieve this.
Comment 5 Joel Madero 2014-03-07 16:02:59 UTC
Hm can you further explain - it would be a valid enhancement request but trying to understand exactly what it is that you are looking for. Thanks!
Comment 6 bfoman (inactive) 2014-03-07 21:23:49 UTC
(In reply to comment #4)
> OK. Didn't know that. That helps me out of the biggest troubles.

I would stop here and mark this bug as RESOLVED WORKSFORME then.

> Nevertheless, i feel, application wide predefining fixed colors, and then
> being restricted to those during your work is non-intuitive and not
> userfriendly. There should be a possibility *in* *every* *certain* *usecase*
> (dealing with colors) to individually choose a custom color.
> I think, adding a pseudo color named "UserDefined", that (if selected) opens
> a dialog for entering RGB or YMCK (or choosing from color wheel) could
> achieve this.

There are already other similar bug reports about those issues:
https://bugs.freedesktop.org/show_bug.cgi?id=37480
https://bugs.freedesktop.org/show_bug.cgi?id=58334
https://bugs.freedesktop.org/show_bug.cgi?id=42159
Comment 7 a07cd040897db54e103c 2014-03-08 19:09:30 UTC
Created attachment 95365 [details]
A screenshot of the fictional format dialog with additional pseudo color "User Defined".
Comment 8 a07cd040897db54e103c 2014-03-08 19:10:35 UTC
Created attachment 95366 [details]
A screenshot of the fictional popup dialog that could be opened by selecting "User Defined".
Comment 9 a07cd040897db54e103c 2014-03-08 19:11:40 UTC
Created attachment 95367 [details]
A screenshot of the real format area dialog.
Comment 10 a07cd040897db54e103c 2014-03-08 19:23:41 UTC
(In reply to comment #5)
> Hm can you further explain - it would be a valid enhancement request but
> trying to understand exactly what it is that you are looking for. Thanks!

1.

Look at the fictional format dialog containing the pseudo-color.(https://bugs.freedesktop.org/attachment.cgi?id=95365). If this "color" is selected, a popup dialog could be shown, allowing to enter custom parameters - may be even selecting the color model (RGB, HSL, YMCK....). This popup could look like https://bugs.freedesktop.org/attachment.cgi?id=95366.

Furthermore this complies with the workflow of other textprocessing software.

2.

Meanwhile, i found that a similar functionality already exists in the "Format" -> "Area" dialog - tab "Colors". There colors can also be customized. Alternatively to 1. the the tab "colors" could be inserted in all other dialogs dealing with colors.

From a userfriendlyness point of view i definitely would prefer 1. while i think 2. was technically easier to implement.
Comment 11 Joel Madero 2014-03-08 19:26:26 UTC
So with User Defined would the user have to enter a name for the color? Else what would it be stored as? Every time people changed "user defined" to something new ALL text set to "user defined" would change to the new color. So you'd be happy if you (1) select user defined (2) dialog pops up saying "name color" and then set all the RGB stuff (3) new color then appears in list and (4) that color is currently active?
Comment 12 a07cd040897db54e103c 2014-03-08 19:43:24 UTC
(In reply to comment #11)
> So with User Defined would the user have to enter a name for the color?

I dont think so. I would let the name always be "User Defined".

> Else what would it be stored as?

I dont know, if i understand your question correctly. I would not *store* the colordefinition in a special way. I would just give the color to the selected object (line, selected text, format template etc.). If such a object contains a user defined color and the formatting dialog is re-opened i would like the parameters loaded from the selected object(s) into the dialogs textfields.

> Every time people changed "user defined" to
> something new ALL text set to "user defined" would change to the new color.

No. I would just apply such a color change to the _formerly_ _selected_ _object(s)_. In short: the same way it currently works selecting color from the predefined colorpalette. As a result the color "User Defined" would be color A if I formerly selectet textarea X and it would be color B if I formerly selected textarea Y.

> So you'd be happy if you (1) select user defined (2) dialog pops up saying
> "name color" and then set all the RGB stuff (3) new color then appears in
> list and (4) that color is currently active?

What you describe goes even beyond what i meant. Your solution would clearly solve what my problem is, but introduces some "color template management" that I didn't have in mind and what i think would have a big impact on many edges.
Comment 13 Joel Madero 2014-03-08 19:51:10 UTC
Okay - I think I'm going to have to get UI input here to pick between the proposed solutions to the issue. Personally I like mine ;) But of course I'm not the final say so let's see what UI team has to say about this.

Proposed Solutions:
(A) No change - force users to actually create colors using the instructions available

(B) Have a "user-defined" category that when selected allows just inputing RGB (or some other color schema) values for a one time use. I suspect the RGB values would have to be stored in some way or another and then called upon after sending it to another user.

(C) When "user-defined" is selected bring up a dialog that forces user to define the "new color" as a name, and then allow them to enter the RGB (or other schema) values to be that new color

(D) Some other thing that no one has thought of ;)

Thanks UI team for input :)
Comment 14 Jean-Baptiste Faure 2014-03-08 22:15:09 UTC
I think it is not a good idea to have another bug / enhancement about color chooser. For me this one is a duplicate of bug 58334 as suggested in comment #6

Best regards. JBF
Comment 15 Joel Madero 2014-03-08 22:36:38 UTC
Agreed - it would be nice to get UI input on that one to get a clear idea of what would be best. Probably an easy hack IMHO but enhancements are always hard to find developers who are so busy dealing with real bugs :( But we'll see what we can do

*** This bug has been marked as a duplicate of bug 58334 ***